#!/usr/bin/perl

use strict;
use warnings;

my $url = "http://www.wowhead.com/?spells&filter=na=Outland;ex=on;me=21";

my $text = `wget -O - "$url" 2> /dev/null | grep -A1 g_spells | tail -n 1`;
chomp $text;
open F, ">", "FlyingMounts.lua" or die "Can't open FlyingMounts.lua: $!\n";

print F <<EOF;
--[[

Scraped from $url

Have to manually add the 2 Headless Horseman's Mounts, as its tooltip does not
contain the word "Outland". Sigh...


]]--

FlightHUDFlyingMounts = {
EOF
my $count = 0;
for (split /;/, $text) {
	$_ =~ /_\[(\d+)\].*name_enus:'(.*?[^'\\])'/;
	my $num = $1;
	my $desc = $2;
	$desc =~ s/\\//g;
	$count++;
	printf F "  [%d] = 1, -- %s\n", $num, $desc;
}
print F "  [48023] = 1, -- Headless Horseman's Mount 280\n";
print F "  [51617] = 1, -- Headless Horseman's Mount 100\n";
print F "}\n";

my $date = localtime();

print F <<EOF;
--[[

Compiled $count mounts on $date. Two mounts added manually not present
in the count.

]]--
EOF


close F;
